﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Sockets;
using System.Net;

namespace UDP_Client_socket
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                String str = String.Empty;
                IPEndPoint iep = new IPEndPoint(IPAddress.Parse("127.0.0.1"), 10123);

                byte[] buffer = new byte[4096]; //buffer 4kB

                Console.WriteLine("Connecting.....");
                while (true)
                {
                    //zadame text na odoslanie
                    Console.WriteLine("Enter the string to be transmitted : ");
                    //nacitanie zadaneho textu do premennej
                    str =  Console.ReadLine();
                    //Ak zadam slovo koniec,tak sa ukonci
                    if (str == "koniec") break;
                    using (Socket sock = new Socket(AddressFamily.InterNetwork, SocketType.Dgram, ProtocolType.Udp))
                    {
                        //Convertovenie stringu na byte array
                        byte[] data = Encoding.ASCII.GetBytes(str);
                        //odoslanie spravy
                        sock.SendTo(data, data.Length, SocketFlags.None, iep);


                        IPEndPoint sender = new IPEndPoint(IPAddress.Any, 0);
                        EndPoint Remote = (EndPoint)sender;

                        //prijatie odpovede od servera
                        int numberOfBytes = sock.ReceiveFrom(buffer, ref Remote);

                        byte[] formatedBytes = new byte[numberOfBytes];
                        Array.Copy(buffer, formatedBytes, numberOfBytes);

                        //Vypiseme co poslal server
                        Console.WriteLine("Server reply : ");
                        Console.WriteLine(ASCIIEncoding.ASCII.GetString(formatedBytes.ToArray()));
                        // Console.ReadLine();
                    }
                }
            }
            catch (Exception e)
            {
                Console.WriteLine("Error..... " + e.Message);
                Console.ReadLine();
            }

        }
    }
}
